#include "cyber.h"

exit_prog()
{
    mousecursor(0);
    vmode(3);
    exit(0);
}

show_screen()
{
    vwait();
    memcpy(scrptr,bufptr,64000);
}

vmode(int videomode)
{
    union REGS reg;
    reg.h.ah = 0;
    reg.h.al = videomode;
    int86 (0x10,&reg,&reg);
}

load_map()
{
    FILE *fptr;
    if(!(fptr=fopen("map.dat","rb")))
    {
        vmode(3);
        printf("could not open file map.dat !");
        exit(0);
    }

    fread(mapptr,sizeof(char),64000,fptr);
    fclose(fptr);
    return;
}

save_map()
{
    FILE *fptr;
    if(!(fptr=fopen("map.dat","wb+")))
    {
        vmode(3);
        printf("could not open file map.dat !");
        exit(0);
    }

    fwrite(mapptr,sizeof(char),64000,fptr);
    fclose(fptr);
    return;
}



vwait()
{
    while((inp(0x3da)&8))
        ;;
    while(!(inp(0x3da)&8))
        ;;
}

